<mat-form-field class="extended-form-field">
  <mat-chip-list #chipList>
    <mat-chip
      *ngFor="let element of selectedElements"
      [selectable]="selectable"
      [removable]="removable"
      (removed)="remove(element)"
      (click)="openModal(element, 'onUpdateElement')"
      [ngClass]="getColor(element)"
    >
      {{ labelize(element) }}
      <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
    </mat-chip>
    <input
      [placeholder]="placeholder"
      #elementInput
      [formControl]="elementCtrl"
      [matAutocomplete]="auto"
      [matChipInputFor]="chipList"
      [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
      (matChipInputTokenEnd)="entered($event)"
    />
  </mat-chip-list>
  <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
    <mat-option
      *ngFor="let element of filteredElements | async"
      [value]="element"
    >
      {{ labelize(element) }}
    </mat-option>
  </mat-autocomplete>
</mat-form-field>
